Package org.eclipse.net4j.signal

# Klasse RequestWithConfirmation<RESULT>

java.lang.Object
org.eclipse.net4j.signal.Signal
org.eclipse.net4j.signal.SignalActor
org.eclipse.net4j.signal.RequestWithConfirmation<RESULT>

Alle implementierten Schnittstellen:
  `Runnable`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

Bekannte direkte Unterklassen:
  `EntityRequest`, `RequestWithMonitoring`

public abstract class RequestWithConfirmation<RESULT> extends SignalActor
Represents the sender side of a two-way `signal`, i.e., one with a response.

Autor:
  Eike Stepper

## Feldübersicht

### Von Klasse geerbte Felder org.eclipse.net4j.signal.Signal

`NO_TIMEOUT`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`RequestWithConfirmation(SignalProtocol<?> protocol, short signalID)`
`RequestWithConfirmation(SignalProtocol<?> protocol, short id, String name)`
`RequestWithConfirmation(SignalProtocol<?> protocol, Enum<?> literal)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected abstract RESULT`
`confirming(org.eclipse.net4j.util.io.ExtendedDataInputStream in)`
Important Note: The confirmation must not be empty, i.e.
`protected ExecutorService`
`getAsyncExecutorService()`
`protected void`
`onRemoteException(RemoteException ex)`
`protected abstract void`
`requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out)`
`RESULT`
`send()`
`RESULT`
`send(long timeout)`
`Future<RESULT>`
`sendAsync()`

### Von Klasse geerbte Methoden org.eclipse.net4j.signal.SignalActor

`execute`

### Von Klasse geerbte Methoden org.eclipse.net4j.signal.Signal

`closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getContainer, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, handleRunException, run, toString, toString, wrapInputStream, wrapOutputStream`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Konstruktordetails

### RequestWithConfirmation

public RequestWithConfirmation(SignalProtocol<?> protocol, short id, String name)

Seit:
  2.0

### RequestWithConfirmation

public RequestWithConfirmation(SignalProtocol<?> protocol, short signalID)

Seit:
  2.0

### RequestWithConfirmation

public RequestWithConfirmation(SignalProtocol<?> protocol, Enum<?> literal)

Seit:
  2.0

## Methodendetails

### sendAsync

public Future<RESULT> sendAsync()

Seit:
  2.0

### send

public RESULT send() throws Exception, RemoteException

Löst aus:
  `Exception`
  `RemoteException`
Seit:
  2.0

### send

public RESULT send(long timeout) throws Exception, RemoteException

Löst aus:
  `Exception`
  `RemoteException`
Seit:
  2.0

### getAsyncExecutorService

protected ExecutorService getAsyncExecutorService()

Seit:
  2.0

### requesting

protected abstract void requesting(org.eclipse.net4j.util.io.ExtendedDataOutputStream out) throws Exception

Löst aus:
  `Exception`

### confirming

protected abstract RESULT confirming(org.eclipse.net4j.util.io.ExtendedDataInputStream in) throws Exception
Important Note: The confirmation must not be empty, i.e. the stream must be used at least to read a `boolean`. Otherwise synchronization problems will result!

Löst aus:
  `Exception`

### onRemoteException

protected void onRemoteException(RemoteException ex)

Seit:
  4.15